Page MenuHomePhabricator

elm_scroller: update behaviour to match legacy behaviour more closely
ClosedPublic

Authored by bu5hm4n on Nov 28 2018, 11:06 AM.

Details

Summary

This implements scrolling the scroller when the scroller is not in the
maximum position of the requested relation, but there is no more focus
object in that relation.

Summing up, the scroller is scrolled manually, when the focus object is
not fitting in the viewport, and the object is beeing out of the
viewport in the requested direction. Or the scroller is not at its max
position in the requested direction, and there is no more focusable
object in this requested direction.

ref T6804

Depends on D7364

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Nov 28 2018, 11:06 AM
bu5hm4n requested review of this revision.Nov 28 2018, 11:06 AM

Maybe we want to turn off the first case if there is a animation going on - as this sometimes results in a little bit choppy animation...

YOhoho requested changes to this revision.Nov 28 2018, 6:32 PM

it is weird behavior in scroller 2 elm_test.

This revision now requires changes to proceed.Nov 28 2018, 6:32 PM
bu5hm4n updated this revision to Diff 17729.Dec 1 2018, 1:23 PM
bu5hm4n edited the summary of this revision. (Show Details)

switched parameter positions

YOhoho accepted this revision.Dec 3 2018, 5:44 PM
This revision is now accepted and ready to land.Dec 3 2018, 5:44 PM
Closed by commit rEFL80bdbc8b54a0: elm_scroller: update behaviour to match legacy behaviour more closely (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyDec 3 2018, 11:49 PM
This revision was automatically updated to reflect the committed changes.